Package org.apache.sling.jcr.base.internal.mount

## Class ProxyAccessControlManager<T extends javax.jcr.security.AccessControlManager>

- java.lang.Object
- - org.apache.sling.jcr.base.internal.mount.ProxyWrapper<T>
  - - org.apache.sling.jcr.base.internal.mount.ProxyAccessControlManager<T>

All Implemented Interfaces:
  `javax.jcr.security.AccessControlManager`

Direct Known Subclasses:
  `ProxyJackrabbitAccessControlManager`

    public class ProxyAccessControlManager<T extends javax.jcr.security.AccessControlManager>
    extends ProxyWrapper<T>
    implements javax.jcr.security.AccessControlManager

### Constructor Summary

Constructors
`ProxyAccessControlManager​(ProxySession<?> mountSession, T delegate, T mount)`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.jcr.security.AccessControlPolicyIterator` `getApplicablePolicies​(String absPath)`
`javax.jcr.security.AccessControlPolicy[]` `getEffectivePolicies​(String absPath)`
`javax.jcr.security.AccessControlPolicy[]` `getPolicies​(String absPath)`
`javax.jcr.security.Privilege[]` `getPrivileges​(String absPath)`
`javax.jcr.security.Privilege[]` `getSupportedPrivileges​(String absPath)`
`boolean` `hasPrivileges​(String absPath, javax.jcr.security.Privilege[] privileges)`
`javax.jcr.security.Privilege` `privilegeFromName​(String privilegeName)`
`void` `removePolicy​(String absPath, javax.jcr.security.AccessControlPolicy policy)`
`void` `setPolicy​(String absPath, javax.jcr.security.AccessControlPolicy policy)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProxyAccessControlManager

    public ProxyAccessControlManager​(ProxySession<?> mountSession,
                                     T delegate,
                                     T mount)

### Method Detail

#### getSupportedPrivileges

    public javax.jcr.security.Privilege[] getSupportedPrivileges​(String absPath)
                                                          throws javax.jcr.PathNotFoundException,
                                                                 javax.jcr.RepositoryException

Specified by:
  `getSupportedPrivileges` in interface `javax.jcr.security.AccessControlManager`
Throws:
  `javax.jcr.PathNotFoundException`
  `javax.jcr.RepositoryException`

#### privilegeFromName

    public javax.jcr.security.Privilege privilegeFromName​(String privilegeName)
                                                   throws javax.jcr.security.AccessControlException,
                                                          javax.jcr.RepositoryException

Specified by:
  `privilegeFromName` in interface `javax.jcr.security.AccessControlManager`
Throws:
  `javax.jcr.security.AccessControlException`
  `javax.jcr.RepositoryException`

#### hasPrivileges

    public boolean hasPrivileges​(String absPath,
                                 javax.jcr.security.Privilege[] privileges)
                          throws javax.jcr.PathNotFoundException,
                                 javax.jcr.RepositoryException

Specified by:
  `hasPrivileges` in interface `javax.jcr.security.AccessControlManager`
Throws:
  `javax.jcr.PathNotFoundException`
  `javax.jcr.RepositoryException`

#### getPrivileges

    public javax.jcr.security.Privilege[] getPrivileges​(String absPath)
                                                 throws javax.jcr.PathNotFoundException,
                                                        javax.jcr.RepositoryException

Specified by:
  `getPrivileges` in interface `javax.jcr.security.AccessControlManager`
Throws:
  `javax.jcr.PathNotFoundException`
  `javax.jcr.RepositoryException`

#### getPolicies

    public javax.jcr.security.AccessControlPolicy[] getPolicies​(String absPath)
                                                         throws javax.jcr.PathNotFoundException,
                                                                javax.jcr.AccessDeniedException,
                                                                javax.jcr.RepositoryException

Specified by:
  `getPolicies` in interface `javax.jcr.security.AccessControlManager`
Throws:
  `javax.jcr.PathNotFoundException`
  `javax.jcr.AccessDeniedException`
  `javax.jcr.RepositoryException`

#### getEffectivePolicies

    public javax.jcr.security.AccessControlPolicy[] getEffectivePolicies​(String absPath)
                                                                  throws javax.jcr.PathNotFoundException,
                                                                         javax.jcr.AccessDeniedException,
                                                                         javax.jcr.RepositoryException

Specified by:
  `getEffectivePolicies` in interface `javax.jcr.security.AccessControlManager`
Throws:
  `javax.jcr.PathNotFoundException`
  `javax.jcr.AccessDeniedException`
  `javax.jcr.RepositoryException`

#### getApplicablePolicies

    public javax.jcr.security.AccessControlPolicyIterator getApplicablePolicies​(String absPath)
                                                                         throws javax.jcr.PathNotFoundException,
                                                                                javax.jcr.AccessDeniedException,
                                                                                javax.jcr.RepositoryException

Specified by:
  `getApplicablePolicies` in interface `javax.jcr.security.AccessControlManager`
Throws:
  `javax.jcr.PathNotFoundException`
  `javax.jcr.AccessDeniedException`
  `javax.jcr.RepositoryException`

#### setPolicy

    public void setPolicy​(String absPath,
                          javax.jcr.security.AccessControlPolicy policy)
                   throws javax.jcr.PathNotFoundException,
                          javax.jcr.security.AccessControlException,
                          javax.jcr.AccessDeniedException,
                          javax.jcr.lock.LockException,
                          javax.jcr.version.VersionException,
                          javax.jcr.RepositoryException

Specified by:
  `setPolicy` in interface `javax.jcr.security.AccessControlManager`
Throws:
  `javax.jcr.PathNotFoundException`
  `javax.jcr.security.AccessControlException`
  `javax.jcr.AccessDeniedException`
  `javax.jcr.lock.LockException`
  `javax.jcr.version.VersionException`
  `javax.jcr.RepositoryException`

#### removePolicy

    public void removePolicy​(String absPath,
                             javax.jcr.security.AccessControlPolicy policy)
                      throws javax.jcr.PathNotFoundException,
                             javax.jcr.security.AccessControlException,
                             javax.jcr.AccessDeniedException,
                             javax.jcr.lock.LockException,
                             javax.jcr.version.VersionException,
                             javax.jcr.RepositoryException

Specified by:
  `removePolicy` in interface `javax.jcr.security.AccessControlManager`
Throws:
  `javax.jcr.PathNotFoundException`
  `javax.jcr.security.AccessControlException`
  `javax.jcr.AccessDeniedException`
  `javax.jcr.lock.LockException`
  `javax.jcr.version.VersionException`
  `javax.jcr.RepositoryException`